JettyStop (Gradle API 3.5)
Date: 2017-04-10

org.gradle.api.plugins.jetty

## Class JettyStop

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.plugins.jetty.JettyStop

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

  Deprecated.
  The Jetty plugin has been deprecated

      @Deprecated
      public class JettyStop
      extends org.gradle.api.internal.ConventionTask

  Stops the embedded Jetty web container, if it is running.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JettyStop()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getStopKey()` Deprecated. Returns the stop key.
    `Integer` | `getStopPort()` Deprecated. Returns the TCP port to use to send stop command.
    `void` | `setStopKey(String stopKey)` Deprecated. Sets key to provide when stopping jetty.
    `void` | `setStopPort(Integer stopPort)` Deprecated. Sets the TCP port to use to send stop command.
    `void` | `stop()` Deprecated.

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActionClassLoaders, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JettyStop

          public JettyStop()

      Deprecated.

  - ### Method Detail

    - #### stop

          public void stop()

      Deprecated.

    - #### getStopPort

          @Internal
          public Integer getStopPort()

      Deprecated.
      Returns the TCP port to use to send stop command.

    - #### setStopPort

          public void setStopPort(Integer stopPort)

      Deprecated.
      Sets the TCP port to use to send stop command.

    - #### getStopKey

          @Internal
          public String getStopKey()

      Deprecated.
      Returns the stop key.
      See Also:
        `setStopKey(String)`

    - #### setStopKey

          public void setStopKey(String stopKey)

      Deprecated.
      Sets key to provide when stopping jetty.